Package org.drinkless.tdlib

# Class TdApi.UpdateBusinessMessagesDeleted

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateBusinessMessagesDeleted

Enclosing class:
  `TdApi`

public static class TdApi.UpdateBusinessMessagesDeleted extends TdApi.Update
Messages in a business account were deleted; for bots only.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of a chat in the business account in which messages were deleted.
  `String`
  `connectionId`
  Unique identifier of the business connection.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long[]`
  `messageIds`
  Unique message identifiers of the deleted messages.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateBusinessMessagesDeleted()`
  Messages in a business account were deleted; for bots only.
  `UpdateBusinessMessagesDeleted(String connectionId, long chatId, long[] messageIds)`
  Messages in a business account were deleted; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### connectionId

    public String connectionId
    Unique identifier of the business connection.

  - ### chatId

    public long chatId
    Identifier of a chat in the business account in which messages were deleted.

  - ### messageIds

    public long[] messageIds
    Unique message identifiers of the deleted messages.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateBusinessMessagesDeleted

    public UpdateBusinessMessagesDeleted()
    Messages in a business account were deleted; for bots only.

  - ### UpdateBusinessMessagesDeleted

    public UpdateBusinessMessagesDeleted(String connectionId, long chatId, long[] messageIds)
    Messages in a business account were deleted; for bots only.
    Parameters:
      `connectionId` - Unique identifier of the business connection.
      `chatId` - Identifier of a chat in the business account in which messages were deleted.
      `messageIds` - Unique message identifiers of the deleted messages.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR